diff --git a/version.sh b/version.sh
index a91c48b..284f444 100755
--- a/version.sh
+++ b/version.sh
@@ -1,12 +1,17 @@
 #!/bin/sh
-VER=`svnversion .`
-if [ "x$VER" != x -a "$VER" != exported ]
+
+VER=`git-describe`
+MODIFIED=`git diff | grep "diff --git" | wc -l`
+
+if [ $MODIFIED == 0 ]
 then
-  echo "#define X264_VERSION \" svn-$VER\"" >> config.h
-  VER=`echo $VER | sed -e 's/[^0-9].*//'`
+  echo "#define X264_VERSION \"$VER\"" >> config.h
+elif [ "$MODIFIED" -gt 0 ]
+then
+  echo "#define X264_VERSION \"${VER}M\"" >> config.h
 else
   echo "#define X264_VERSION \"\"" >> config.h
-  VER="x"
 fi
+
 API=`grep '#define X264_BUILD' < x264.h | sed -e 's/.* \([1-9][0-9]*\).*/\1/'`
 echo "#define X264_POINTVER \"0.$API.$VER\"" >> config.h
